Subject: bug#10980: GNU bugs information: logs for bug#10980

From: Noam Postavsky <[email-masked]>
Date: Wed, 29 Jun 2016 09:12:39 -0400

On Wed, Jun 22, 2016 at 10:57 AM, Eli Zaretskii <[email-masked]> wrote:
> In any case, doing that would mean a much larger job, even if it's
> possible.  E.g., how do you deal with Lisp code that expects
> (expand-file-name "~") and (getenv "HOME") to yield the same value?

Hmm, so it's easy enough to move setting of both Vprocess_environment
and Vinitial_environment before the Windows code starts adding to the
environment. And getenv would have to be modified to consult Emacs'
environment so that that (expand-file-name "~") and (getenv "HOME")
give the same values.

But it seems we would then need 2 sets of functions: getenv/setenv and
get-subproc-env/set-subproc-env (the latter working on
Vprocess_environment only). This feels like a complication with not
much benefit.